org.apache.commons.text.lookup

## Enum DefaultStringLookup

- java.lang.Object
- - java.lang.Enum<DefaultStringLookup>
  - - org.apache.commons.text.lookup.DefaultStringLookup

- All Implemented Interfaces:
    Serializable, Comparable<DefaultStringLookup>

      public enum DefaultStringLookup
      extends Enum<DefaultStringLookup>

  An enumeration defining `StringLookup` objects available through `StringLookupFactory`.

  This enum was adapted and expanded from Apache Commons Configuration 2.4.

  Since:
    1.7
  See Also:
    `StringLookupFactory`, `StringLookup`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BASE64_DECODER` The lookup for Base64 decoding using the key .
    `BASE64_ENCODER` The lookup for Base64 decoding using the key .
    `CONST` The lookup for constants using the key .
    `DATE` The lookup for dates using the key .
    `DNS` The lookup for DNS using the key .
    `ENVIRONMENT` The lookup for environment properties using the key .
    `FILE` The lookup for files using the key .
    `JAVA` The lookup for Java platform information using the key .
    `LOCAL_HOST` The lookup for localhost information using the key .
    `PROPERTIES` The lookup for properties using the key .
    `RESOURCE_BUNDLE` The lookup for resource bundles using the key .
    `SCRIPT` The lookup for scripts using the key .
    `SYSTEM_PROPERTIES` The lookup for system properties using the key .
    `URL` The lookup for URLs using the key .
    `URL_DECODER` The lookup for URL decoding using the key .
    `URL_ENCODER` The lookup for URL decoding using the key .
    `XML` The lookup for URL decoding using the key .

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Returns the standard prefix for the lookup object of this kind.
    `StringLookup` | `getStringLookup()` Returns the standard `StringLookup` instance of this kind.
    `static DefaultStringLookup` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultStringLookup[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BASE64_DECODER

          public static final DefaultStringLookup BASE64_DECODER

      The lookup for Base64 decoding using the key .

    - #### BASE64_ENCODER

          public static final DefaultStringLookup BASE64_ENCODER

      The lookup for Base64 decoding using the key .

    - #### CONST

          public static final DefaultStringLookup CONST

      The lookup for constants using the key .

    - #### DATE

          public static final DefaultStringLookup DATE

      The lookup for dates using the key .

    - #### DNS

          public static final DefaultStringLookup DNS

      The lookup for DNS using the key .
      Since:
        1.8

    - #### ENVIRONMENT

          public static final DefaultStringLookup ENVIRONMENT

      The lookup for environment properties using the key .

    - #### FILE

          public static final DefaultStringLookup FILE

      The lookup for files using the key .

    - #### JAVA

          public static final DefaultStringLookup JAVA

      The lookup for Java platform information using the key .

    - #### LOCAL_HOST

          public static final DefaultStringLookup LOCAL_HOST

      The lookup for localhost information using the key .

    - #### PROPERTIES

          public static final DefaultStringLookup PROPERTIES

      The lookup for properties using the key .

    - #### RESOURCE_BUNDLE

          public static final DefaultStringLookup RESOURCE_BUNDLE

      The lookup for resource bundles using the key .

    - #### SCRIPT

          public static final DefaultStringLookup SCRIPT

      The lookup for scripts using the key .

    - #### SYSTEM_PROPERTIES

          public static final DefaultStringLookup SYSTEM_PROPERTIES

      The lookup for system properties using the key .

    - #### URL

          public static final DefaultStringLookup URL

      The lookup for URLs using the key .

    - #### URL_DECODER

          public static final DefaultStringLookup URL_DECODER

      The lookup for URL decoding using the key .

    - #### URL_ENCODER

          public static final DefaultStringLookup URL_ENCODER

      The lookup for URL decoding using the key .

    - #### XML

          public static final DefaultStringLookup XML

      The lookup for URL decoding using the key .

  - ### Method Detail

    - #### values

          public static DefaultStringLookup[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultStringLookup c : DefaultStringLookup.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultStringLookup valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

      Returns the standard prefix for the lookup object of this kind.
      Returns:
        the prefix

    - #### getStringLookup

          public StringLookup getStringLookup()

      Returns the standard `StringLookup` instance of this kind.
      Returns:
        the associated `StringLookup` object

Copyright © 2014–2020 The Apache Software Foundation. All rights reserved.